Subject: Re: CCL: Converting cartesian gradients to Z-matrix gradients

From: "Tamas E. Gunda" <tgunda$at$puma.unideb.hu>
Date: Fri, 27 Aug 2004 15:54:56 +0100

Mol2Mol can convert to/from a variety of Z-matrix formats. There are several
predefined formats, moreover, as it supports the use of user defined
input/output format strings, virtually any kind of Z-matrix or Cartesion
formats can be converted.

For example a Fenske-Hall type Z-matrix may look like this:

----------------------
some data
some data
1 C    0    0.000   0    0.000    0    0.000
2 C    1    1.413   0    0.000    0    0.000
3 C    2    1.400   1  118.931    0    0.000
4 C    3    1.406   2  121.024    1   -1.000
5 C    3    1.101   2  119.066    1  177.200
.....
------------------------

The corresponding input format string in Mol2Mol is
2 d e u k v l w m

which means: skip the first two lines, then the columns contain: dummy data,
element symbol, 1st defining atom, distance, 2nd def. atom, angle, 3rd def
atom, dihedral. Any combinations are allowed. When writing a Z-matrix, a
similar format string (resembling to C format strings)  can be defined to
produce any kind of Z-matrices. Look at:
http://web.interware.hu/frenzy/mol2mol/

Dr. Tamas E. Gunda

Dept. of Pharmaceutical Chemistry
University of Debrecen
POBox 36
H-4010 Debrecen, Hungary

tgunda (AT) puma.unideb.hu

----- Original Message ----- 
From: "boris gorelik" <bgbg$at$pob.huji.ac.il>
To: "john" <jmmckel$at$attglobal.net>
Cc: <chemistry$at$ccl.net>
Sent: Thursday, August 26, 2004 7:58 AM
Subject: CCL:Converting cartesian gradients to Z-matrix gradients

>
>
>
> On Wed, 25 Aug 2004, john wrote:
>
> > Folks,
> >
> > I am looking convert a set of cartesian gradients into internal
> > gradients in a Z-matrix format.  I do have the Z-matrix form of the
> > corresponding cartesian coordinates..
>
> openbabel can convert between lots of formatst (pdb, mol2, xyz, etc etc).
> one of the supported output format is fh, which is Fenske-Hall ZMatrix
> file (which holds the internal coordinates of the molecule). Unfortunately
> it does not convert into opposite direction.
> I have some functions (C++) that convert between internal and cortesian
> coordinates. Contact me off the list if you want them
>
>
>
> >
> > Any suggesstions as to where some code to do this would be most
> > appreciated.
> >
> > Many thanks for your suggestions!
> >
> > John McKelvey
> >
> >
> >
> >
> >
> > Jan Labanowski,jlabanow$at$nd.edu (read about it on CCL Home Page)
> >
> >
> >
> >
> >
>
>
>
> -= This is automatically added to each message by the mailing script =-
> To send e-mail to subscribers of CCL put the string CCL: on your Subject:
line
> and send your message to:  CHEMISTRY$at$ccl.net
>
> Send your subscription/unsubscription requests to:
CHEMISTRY-REQUEST$at$ccl.net
> HOME Page: http://www.ccl.net   | Jobs Page: http://www.ccl.net/jobs
>
> If your mail is bouncing from CCL.NET domain send it to the maintainer:
> Jan Labanowski,  jlabanow$at$nd.edu (read about it on CCL Home Page)
> -+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
>
>
>
>
>
>